<template>
    <div>
        <div>
            <label for="">
                PassData
                <input v-model="currentItem.passData" type="text" required>
            </label>
        </div>
        <div>
            <label for="">
                Degree
                <input v-model="currentItem.degree" type="text" required>
            </label>
        </div>
        <div>
            <label>
                Specialization
                <input v-model="currentItem.specialization" type="text" required>
            </label>
        </div>
        <div>
            <label for="">
                Position
                <input v-model="currentItem.position" type="text" required>
            </label>
        </div>
        <div>
            <label for="">
                Salary
                <input v-model="currentItem.salary" type="text" required>
            </label>
        </div>
        <div>
            <button @click="applyFilter">Apply Filter</button>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex';


export default {
    name: 'FilterComp',
    data() {
        return {
            currentItem: {}
        }
    },
    watch: {
        currentItem: {
            handler(newFilter) {
                this.updateFilter(newFilter)
            },
            deep: true
        }
    },
    methods: {
        ...mapActions(['updateFilter']),
        applyFilter() {
            this.updateFilter(this.currentItem);
            this.$emit('filter-applied', this.currentItem);
        },
    },
}
</script>

<style lang="scss" scoped></style>